petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMForestTemplate

Create a new DM that will be adapted from a source DM. The new DM reproduces the configuration of the source, but is not yet setup, so that the user can then define only the ways that the new DM should differ (by, e.g., refinement or repartitioning). The source DM is also set as the adaptivity source DM of the new DM (see DMForestSetAdaptivityForest()).

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    PetscErrorCode DMForestTemplate(DM dm, MPI_Comm comm, DM *tdm)

Collective on dm

### Input Parameters

| dm | - the source DM object
| comm | - the communicator for the new DM (this communicator is currently ignored, but is present so that DMForestTemplate() can be used within DMCoarsen())

### Output Parameter

tdm -the new DM object

### See Also

DMForestSetAdaptivityForest()

Level:intermediate
Location:src/dm/impls/forest/forest.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages